# Benutzername und Pawort fr den Samba-Benutzer und das gleichlautende Linux-Benutzerkonto festlegen
smbuser="smb"
smbpass="smbpasswd"

# Samba-Server, -Werkzeuge und Samba-Clientprogramme installieren
apt install -y samba cifs-utils smbclient

# Konfigurationsdatei fr die Freigabe "data" erstellen
echo '[data]
path=/mnt/data
comment=Dies ist eine Freigabe, die data heit
available = yes
browsable = yes
guest ok = no
writable = yes' >> /etc/samba/data.conf

# data.conf in der globalen Samba-Konfiguration einbinden (wenn noch nicht geschehen)
if ! grep -q "include = /etc/samba/data.conf" /etc/samba/smb.conf
then
	echo "include = /etc/samba/data.conf" >> /etc/samba/smb.conf
fi

# Ein evtl. vorhandenes Linux-Benutzerkonto mit dem Namen "smb" lschen
if id -u $smbuser >/dev/null 2>&1
then
	echo "Benutzer $smbuser existiert bereits! Wird nun gelscht!"
	deluser $smbuser
fi

# Linux-Benutzerkonto mit dem Namen "smb" anlegen
useradd -s /bin/false $smbuser

# Samba-Benutzerkonto mit dem Namen "smb" anlegen
yes $smbpass | smbpasswd -s -a $smbuser
echo "Samba-Benutzer $smbuser erstellt!"

# Samba-Server neu starten
systemctl restart smbd





# Im Folgenden wird davon ausgegangen, da der Samba-Server auf der 192.168.1.200 luft

# Alle sichtbaren Freigaben des Samba-Servers auflisten
smbclient -L 192.168.1.200

# Mit smbclient auf dem Samba-Server einloggen
smbclient -U smb //192.168.1.200/data

# Neues Verzeichnis /tmp/data anlegen
mkdir /tmp/data
# Anschlieend die Freigabe data in /tmp/data mounten
sudo mount -t cifs -o 'username=smb,password=smbpasswd' //192.168.1.200/data /tmp/data/